Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 15-03-2017 21:48:30

dz50
Membre
Distrib. : Stretch 9, netinstall minimale
Noyau : Linux 4.9.0-2 amd64
(G)UI : xfce 4.12-3
Inscription : 13-07-2016

[Résolu] Mises à jour impossible.

Bonjour,
Depuis quelques semaines, les mises à jours ne se font plus. Le message de blocage :

root@X:~# dpkg --configure -a && apt-get -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --yes --force-yes upgrade && apt-get -o Dpkg::Options::="--force-confdef" -o Dpkg::Options::="--force-confold" --yes --force-yes dist-upgrade && exit 0 || exit 1
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants seront mis à jour :
  apt apt-utils base-files bash bind9-host ca-certificates dbus dbus-x11
  dnsutils e2fslibs e2fsprogs file firefox firefox-l10n-fr fonts-opensymbol
  gstreamer0.10-gconf gstreamer0.10-plugins-good gstreamer0.10-pulseaudio
  gstreamer1.0-plugins-good hpijs-ppds hplip hplip-data hplip-gui icedove
  icedove-l10n-fr imagemagick imagemagick-6.q16 imagemagick-common
  intel-microcode libapt-inst1.5 libapt-pkg4.12 libbind9-90 libc-bin
  libc-dev-bin libc6 libc6-dev libcairo-gobject2 libcairo2 libcomerr2
  libdbus-1-3 libdns-export100 libdns100 libevent-2.0-5 libgd3 libgme0
  libgnutls-deb0-28 libgnutls-openssl27 libgudev-1.0-0 libhogweed2 libhpmud0
  libicu52 libio-socket-ssl-perl libirs-export91 libisc-export95 libisc95
  libisccc90 libisccfg-export90 libisccfg90 libjasper1 liblcms2-2
  liblcms2-utils liblwres90 libmagic1 libmagickcore-6.q16-2
  libmagickwand-6.q16-2 libmpg123-0 libmysqlclient18 libnettle4 libpam-modules
  libpam-modules-bin libpam-runtime libpam-systemd libpam0g libpcsclite1
  libpng12-0 libreoffice-avmedia-backend-gstreamer libreoffice-help-fr
  libreoffice-report-builder-bin libsane-hpaio libsmbclient libss2 libssl1.0.0
  libsystemd0 libtevent0 libtiff5 libudev1 libupnp6 libvncclient0 libwbclient0
  libwmf0.2-7 libxml2 libxpm4 linux-image-3.16.0-4-686-pae linux-libc-dev
  locales login most multiarch-support mysql-common ntfs-3g openjdk-7-jre
  openjdk-7-jre-headless openssl palemoon passwd printer-driver-hpcups
  printer-driver-hpijs printer-driver-postscript-hp python-crypto
  python-libxml2 python-samba python3-werkzeug samba-common samba-common-bin
  samba-libs sed systemd systemd-sysv tzdata tzdata-java udev vim-common
  vim-tiny
123 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 132 Mo/275 Mo dans les archives.
Après cette opération, 31,5 Mo d'espace disque supplémentaires seront utilisés.
ATTENTION : les paquets suivants n'ont pas été authentifiés.
  palemoon
Err http://download.opensuse.org/repositori … ebian_8.0/  palemoon 27.1.1~repack-1
  404  Not Found [IP : 195.135.221.134 80]
Err http://security.debian.org/ jessie/updates/main linux-libc-dev i386 3.16.39-1+deb8u1
  404  Not Found [IP : 217.196.149.233 80]
Err http://mozilla.debian.net/ jessie-backports/firefox-release firefox-l10n-fr all 51.0.1-3~bpo80+1
  404  Not Found [IP : 140.211.166.202 80]
Réception de : 1 http://security.debian.org/ jessie/updates/main login i386 1:4.2-3+deb8u3 [723 kB]
Err http://mozilla.debian.net/ jessie-backports/firefox-release firefox i386 51.0.1-3~bpo80+1
  404  Not Found [IP : 140.211.166.202 80]
Réception de : 2 http://security.debian.org/ jessie/updates/main libmagickwand-6.q16-2 i386 8:6.8.9.9-5+deb8u7 [384 kB]
Réception de : 3 http://security.debian.org/ jessie/updates/main libmagickcore-6.q16-2 i386 8:6.8.9.9-5+deb8u7 [1 709 kB]
Réception de : 4 http://security.debian.org/ jessie/updates/main imagemagick-common all 8:6.8.9.9-5+deb8u7 [151 kB]
Réception de : 5 http://security.debian.org/ jessie/updates/main libisc-export95 i386 1:9.9.5.dfsg-9+deb8u10 [146 kB]
Réception de : 6 http://security.debian.org/ jessie/updates/main libdns-export100 i386 1:9.9.5.dfsg-9+deb8u10 [487 kB]
Réception de : 7 http://security.debian.org/ jessie/updates/main libisccfg-export90 i386 1:9.9.5.dfsg-9+deb8u10 [42,7 kB]
Réception de : 8 http://security.debian.org/ jessie/updates/main libirs-export91 i386 1:9.9.5.dfsg-9+deb8u10 [39,8 kB]
Err http://security.debian.org/ jessie/updates/main linux-image-3.16.0-4-686-pae i386 3.16.39-1+deb8u1
  404  Not Found [IP : 217.196.149.233 80]
Réception de : 9 http://security.debian.org/ jessie/updates/main passwd i386 1:4.2-3+deb8u3 [973 kB]
Réception de : 10 http://security.debian.org/ jessie/updates/main dnsutils i386 1:9.9.5.dfsg-9+deb8u10 [125 kB]
Réception de : 11 http://security.debian.org/ jessie/updates/main bind9-host i386 1:9.9.5.dfsg-9+deb8u10 [72,4 kB]
Réception de : 12 http://security.debian.org/ jessie/updates/main libisc95 i386 1:9.9.5.dfsg-9+deb8u10 [178 kB]
Réception de : 13 http://security.debian.org/ jessie/updates/main libdns100 i386 1:9.9.5.dfsg-9+deb8u10 [735 kB]
Réception de : 14 http://security.debian.org/ jessie/updates/main libisccc90 i386 1:9.9.5.dfsg-9+deb8u10 [37,7 kB]
Réception de : 15 http://security.debian.org/ jessie/updates/main libisccfg90 i386 1:9.9.5.dfsg-9+deb8u10 [57,6 kB]
Réception de : 16 http://security.debian.org/ jessie/updates/main liblwres90 i386 1:9.9.5.dfsg-9+deb8u10 [55,0 kB]
Réception de : 17 http://security.debian.org/ jessie/updates/main libbind9-90 i386 1:9.9.5.dfsg-9+deb8u10 [45,6 kB]
Réception de : 18 http://security.debian.org/ jessie/updates/main fonts-opensymbol all 2:102.6+LibO4.3.3-2+deb8u6 [147 kB]
Réception de : 19 http://security.debian.org/ jessie/updates/main imagemagick i386 8:6.8.9.9-5+deb8u7 [158 kB]
Réception de : 20 http://security.debian.org/ jessie/updates/main imagemagick-6.q16 i386 8:6.8.9.9-5+deb8u7 [511 kB]
Réception de : 21 http://security.debian.org/ jessie/updates/main libreoffice-avmedia-backend-gstreamer i386 1:4.3.3-2+deb8u6 [80,6 kB]
Réception de : 22 http://security.debian.org/ jessie/updates/main libreoffice-help-fr all 1:4.3.3-2+deb8u6 [3 181 kB]
Réception de : 23 http://security.debian.org/ jessie/updates/main libreoffice-report-builder-bin i386 1:4.3.3-2+deb8u6 [872 kB]
10,9 Mo réceptionnés en 34s (312 ko/s)                                         
E: Impossible de récupérer http://security.debian.org/pool/updates … 1_i386.deb  404  Not Found [IP : 217.196.149.233 80]

E: Impossible de récupérer http://security.debian.org/pool/updates … 1_i386.deb  404  Not Found [IP : 217.196.149.233 80]

E: Impossible de récupérer http://mozilla.debian.net/pool/firefox- … +1_all.deb  404  Not Found [IP : 140.211.166.202 80]

E: Impossible de récupérer http://mozilla.debian.net/pool/firefox- … 1_i386.deb  404  Not Found [IP : 140.211.166.202 80]

E: Impossible de récupérer http://download.opensuse.org/repositori … 1_i386.deb  404  Not Found [IP : 195.135.221.134 80]

E: Impossible de récupérer certaines archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

J'ai bien essayé les commandes préconisées de la dernière ligne et la mise à jour depuis synaptic, mais cela ne marche pas.

Dernière modification par dz50 (18-03-2017 19:25:33)

Hors ligne

#2 15-03-2017 21:56:50

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mises à jour impossible.

dz50 a écrit :

Err http://security.debian.org/ jessie/updates/main linux-libc-dev i386 3.16.39-1+deb8u1


La liste des paquets n'est pas à jour : linux-libc-dev est actuellement en version 3.16.39-1+deb8u2.
Un petit "apt-get update" avant ?

Hors ligne

#3 15-03-2017 21:58:14

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Mises à jour impossible.

Bonsoir,
Tu as tenté un

sudo apt-get update

suivi de

sudo apt-get dist-upgrade


dans un terminal ?

Hors ligne

#4 15-03-2017 22:20:57

dz50
Membre
Distrib. : Stretch 9, netinstall minimale
Noyau : Linux 4.9.0-2 amd64
(G)UI : xfce 4.12-3
Inscription : 13-07-2016

Re : [Résolu] Mises à jour impossible.

J'ai bien essayé

sudo apt-get update

sans résultat.
Par contre, je n'ai pas lancé 

sudo apt-get dist-upgrade

J'aurai de nouveau accès à ce PC en fin de semaine, je ré-essaierai de passer les 2 lignes de commande et vous tiendrai informé.

Edit à toto :

Pour les commandes utiliser les boutons d'éditions du forum Commande user ou Commande root exemple (à voir par le bouton d'édition Modifier :

sudo apt-get update


sudo apt-get dist-upgrade


Le tuto explicitant tout cela :
Voir le tuto : Le code, ça pique moins les yeux en couleur

Hors ligne

#5 15-03-2017 22:53:35

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mises à jour impossible.

"Sans résultat", c'est-à-dire ?
Si "apt-cache policy linux-libc-dev" renvoie comme version préférée 3.16.39-1+deb8u1 sur security.debian.org, alors la liste des paquets disponibles n'a pas été mise à jour.

Hors ligne

#6 16-03-2017 07:12:33

dz50
Membre
Distrib. : Stretch 9, netinstall minimale
Noyau : Linux 4.9.0-2 amd64
(G)UI : xfce 4.12-3
Inscription : 13-07-2016

Re : [Résolu] Mises à jour impossible.

Sans résultat = sans changement, cela n'a pas marché. Dans synaptic, j'avais bien essayé de mettre à jour les paquets, mais il m'a retourné le même message d'erreur.

Hors ligne

#7 16-03-2017 07:59:46

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Mises à jour impossible.

Tu avais cliqué sur le bouton Recharger avant de cliquer sur le bouton Tout mettre à niveau dans Synaptic ?
Si les commandes dans le terminal ne fonctionnent pas, donne nous le retour intégral de ces commandes.

Hors ligne

#8 16-03-2017 13:13:58

dz50
Membre
Distrib. : Stretch 9, netinstall minimale
Noyau : Linux 4.9.0-2 amd64
(G)UI : xfce 4.12-3
Inscription : 13-07-2016

Re : [Résolu] Mises à jour impossible.

Tu avais cliqué sur le bouton Recharger avant de cliquer sur le bouton Tout mettre à niveau dans Synaptic ?
Si les commandes dans le terminal ne fonctionnent pas, donne nous le retour intégral de ces commandes.

C'est bien ce que j'avais fait. J'aurai accès à ce PC samedi.

Hors ligne

#9 16-03-2017 18:30:01

Severian
Membre
Distrib. : Debian GNU/Linux 8.7 (jessie)
Noyau : Linux 4.9.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-4
Inscription : 13-12-2014

Re : [Résolu] Mises à jour impossible.

il serait possible de voir la / les sources.list
que renvoie la commande

find /etc/apt -name '*.list*' -exec bash -c 'echo -e "\n$1\n"; nl -ba "$1"' _ '{}' \;


"il est urgent d'attendre" (bendia)
ob3-de10.pngbanner98x30.png

Hors ligne

#10 18-03-2017 19:24:52

dz50
Membre
Distrib. : Stretch 9, netinstall minimale
Noyau : Linux 4.9.0-2 amd64
(G)UI : xfce 4.12-3
Inscription : 13-07-2016

Re : [Résolu] Mises à jour impossible.

Bonjour,
Je viens de suivre la solution de chalu

sudo apt-get update



suivi de

sudo apt-get dist-upgrade

Et ça marche.
Merci à tous.

Edit à toto :

Séparé les deux commandes pour les rendre plus compréhensibles aux débutants.

Hors ligne

#11 18-03-2017 21:36:32

raleur
Membre
Inscription : 03-10-2014

Re : [Résolu] Mises à jour impossible.

Evidemment ça marche beaucoup mieux avec une liste des paquets à jour. Ta commande initiale est tellement absconse que tu n'as pas vu qu'il y manquait apt-get update.

Je pense que le dist- n'était pas utile. Il ne sert qu'en cas de changement des dépendances, ce qui arrive rarement dans une version stable.

Hors ligne

Pied de page des forums